# Serialized Form

## Package org.eclipse.mat

### Class org.eclipse.mat.SnapshotException extends Exception implements Serializable

serialVersionUID:
  1L

## Package org.eclipse.mat.collect

### Class org.eclipse.mat.collect.ArrayIntBig extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### pages

    ArrayList<E> pages

#### page

    int[] page

#### length

    int length

### Class org.eclipse.mat.collect.BitField extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### bits

    int[] bits

### Class org.eclipse.mat.collect.HashMapIntLong extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### capacity

    int capacity

#### step

    int step

#### limit

    int limit

#### size

    int size

#### used

    boolean[] used

#### keys

    int[] keys

#### values

    long[] values

### Class org.eclipse.mat.collect.HashMapIntObject extends Object implements Serializable

serialVersionUID:
  2L

### Serialization Methods

#### readObject

    private void readObject(ObjectInputStream stream)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject(ObjectOutputStream stream)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### capacity

    int capacity

#### step

    int step

#### limit

    int limit

#### size

    int size

### Class org.eclipse.mat.collect.HashMapLongObject extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### capacity

    int capacity

#### step

    int step

#### limit

    int limit

#### size

    int size

#### used

    boolean[] used

#### keys

    long[] keys

#### values

    Object[] values

### Class org.eclipse.mat.collect.HashMapObjectLong extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### capacity

    int capacity

#### step

    int step

#### limit

    int limit

#### size

    int size

#### used

    boolean[] used

#### keys

    Object[] keys

#### values

    long[] values

### Class org.eclipse.mat.collect.SetInt extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### capacity

    int capacity

#### step

    int step

#### limit

    int limit

#### size

    int size

#### used

    boolean[] used

#### keys

    int[] keys

### Class org.eclipse.mat.collect.SetLong extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### capacity

    int capacity

#### step

    int step

#### limit

    int limit

#### size

    int size

#### used

    boolean[] used

#### keys

    long[] keys

## Package org.eclipse.mat.dtfj

### Class org.eclipse.mat.dtfj.InitDTFJ.DynamicInfo extends HashMap<String,Map<String,String>> implements Serializable

serialVersionUID:
  -5291159195829859576L

## Package org.eclipse.mat.inspections.collectionextract

### Class org.eclipse.mat.inspections.collectionextract.AbstractExtractedCollection extends Object implements Serializable

serialVersionUID:
  2237977092308177450L

### Serialized Fields

#### extractor

    ICollectionExtractor extractor

#### collection

    IObject collection

### Class org.eclipse.mat.inspections.collectionextract.ExtractedCollection extends AbstractExtractedCollection<IObject,ICollectionExtractor> implements Serializable

serialVersionUID:
  1L

### Class org.eclipse.mat.inspections.collectionextract.ExtractedMap extends AbstractExtractedCollection<Map.Entry<IObject,IObject>,IMapExtractor> implements Serializable

serialVersionUID:
  1L

### Class org.eclipse.mat.inspections.collectionextract.IMapExtractor.EntryObject extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### self

    IObject self

#### key

    IObject key

#### value

    IObject value

## Package org.eclipse.mat.inspections.collections

### Class org.eclipse.mat.inspections.collections.CollectionUtil extends Object implements Serializable

### Class org.eclipse.mat.inspections.collections.ICollectionExtractor extends Object implements Serializable

## Package org.eclipse.mat.parser.internal.oql.parser

### Class org.eclipse.mat.parser.internal.oql.parser.ParseException extends Exception implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### currentToken

    Token currentToken

This is the last token that has been consumed successfully. If this object has been created due to a parse error, the token followng this token will (therefore) be the first error token.

#### expectedTokenSequences

    int[][] expectedTokenSequences

Each entry in this array is an array of integers. Each array of integers represents a sequence of tokens (by their ordinal values) that is expected at this point of the parse.

#### tokenImage

    String[] tokenImage

This is a reference to the "tokenImage" array of the generated parser within which the parse error occurred. This array is defined in the generated ...Constants interface.

#### eol

    String eol

The end of line string for this machine.

### Class org.eclipse.mat.parser.internal.oql.parser.Token extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### kind

    int kind

An integer that describes the kind of this token. This numbering system is determined by JavaCCParser, and a table of these numbers is stored in the file ...Constants.java.

#### beginLine

    int beginLine

The line number of the first character of this Token.

#### beginColumn

    int beginColumn

The column number of the first character of this Token.

#### endLine

    int endLine

The line number of the last character of this Token.

#### endColumn

    int endColumn

The column number of the last character of this Token.

#### image

    String image

The string image of the token.

#### next

    Token next

A reference to the next regular (non-special) token from the input stream. If this is the last token from the input stream, or if the token manager has not read tokens beyond this one, this field is set to null. This is true only if this token is also a regular token. Otherwise, see below for a description of the contents of this field.

#### specialToken

    Token specialToken

This field is used to access special tokens that occur prior to this token, but after the immediately preceding regular (non-special) token. If there are no such special tokens, this field is set to null. When there are more than one such special token, this field refers to the last of these special tokens, which in turn refers to the next previous special token through its specialToken field, and so on until the first special token (whose specialToken field is null). The next fields of special tokens refer to other special tokens that immediately follow it (without an intervening regular token). If there is no such token, this field is null.

### Class org.eclipse.mat.parser.internal.oql.parser.TokenMgrError extends Error implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### errorCode

    int errorCode

Indicates the reason why the exception is thrown. It will have one of the above 4 values.

## Package org.eclipse.mat.parser.internal.snapshot

### Class org.eclipse.mat.parser.internal.snapshot.ClassHistogramRecordBuilder extends HistogramRecord implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### classId

    int classId

#### objectIds

    ArrayIntBig objectIds

### Class org.eclipse.mat.parser.internal.snapshot.ClassLoaderHistogramRecordBuilder extends HistogramRecord implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### classLoaderId

    int classLoaderId

#### classHistogramRecords

    ArrayList<E> classHistogramRecords

### Class org.eclipse.mat.parser.internal.snapshot.HistogramBuilder extends HistogramRecord implements Serializable

serialVersionUID:
  2L

### Serialized Fields

#### data

    HashMapIntObject<E> data

## Package org.eclipse.mat.parser.model

### Class org.eclipse.mat.parser.model.AbstractArrayImpl extends AbstractObjectImpl implements Serializable

serialVersionUID:
  2L

### Serialized Fields

#### length

    int length

#### info

    Object info

### Class org.eclipse.mat.parser.model.AbstractObjectImpl extends Object implements Serializable

serialVersionUID:
  2451875423035843852L

### Serialized Fields

#### classInstance

    ClassImpl classInstance

#### address

    long address

#### objectId

    int objectId

### Class org.eclipse.mat.parser.model.ClassImpl extends AbstractObjectImpl implements Serializable

serialVersionUID:
  22L

### Serialized Fields

#### name

    String name

#### superClassId

    int superClassId

#### superClassAddress

    long superClassAddress

#### classLoaderId

    int classLoaderId

#### classLoaderAddress

    long classLoaderAddress

#### staticFields

    Field[] staticFields

#### fields

    FieldDescriptor[] fields

#### usedHeapSize

    int usedHeapSize

#### instanceSize

    int instanceSize

#### instanceCount

    int instanceCount

#### totalSize

    long totalSize

#### isArrayType

    boolean isArrayType

#### subClasses

    List<E> subClasses

#### cacheEntry

    Serializable cacheEntry

### Class org.eclipse.mat.parser.model.ClassLoaderImpl extends InstanceImpl implements Serializable

serialVersionUID:
  1L

### Class org.eclipse.mat.parser.model.InstanceImpl extends AbstractObjectImpl implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### fields

    List<E> fields

#### name2field

    Map<K,V> name2field

### Class org.eclipse.mat.parser.model.ObjectArrayImpl extends AbstractArrayImpl implements Serializable

serialVersionUID:
  2L

### Class org.eclipse.mat.parser.model.PrimitiveArrayImpl extends AbstractArrayImpl implements Serializable

serialVersionUID:
  2L

### Serialized Fields

#### type

    int type

### Class org.eclipse.mat.parser.model.XClassHistogramRecord extends ClassHistogramRecord implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### classInstance

    ClassImpl classInstance

### Class org.eclipse.mat.parser.model.XClassLoaderHistogramRecord extends ClassLoaderHistogramRecord implements Serializable

serialVersionUID:
  1L

### Class org.eclipse.mat.parser.model.XGCRootInfo extends GCRootInfo implements Serializable

serialVersionUID:
  1L

### Class org.eclipse.mat.parser.model.XSnapshotInfo extends SnapshotInfo implements Serializable

serialVersionUID:
  3L

## Package org.eclipse.mat.query

### Class org.eclipse.mat.query.BytesFormat extends Format implements Serializable

serialVersionUID:
  9162983935673281910L

### Serialized Fields

#### encapsulatedNumberFormat

    Format encapsulatedNumberFormat

#### encapsulatedDecimalFormat

    Format encapsulatedDecimalFormat

## Package org.eclipse.mat.snapshot

### Class org.eclipse.mat.snapshot.ClassHistogramRecord extends HistogramRecord implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### classId

    int classId

#### objectIds

    int[] objectIds

### Class org.eclipse.mat.snapshot.ClassLoaderHistogramRecord extends HistogramRecord implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### classLoaderId

    int classLoaderId

#### classHistogramRecords

    ArrayList<E> classHistogramRecords

### Class org.eclipse.mat.snapshot.Histogram extends HistogramRecord implements Serializable

serialVersionUID:
  3L

### Serialized Fields

#### isDefaultHistogram

    boolean isDefaultHistogram

#### showPlusMinus

    boolean showPlusMinus

#### classHistogramRecords

    ArrayList<E> classHistogramRecords

#### classLoaderHistogramRecords

    ArrayList<E> classLoaderHistogramRecords

### Class org.eclipse.mat.snapshot.HistogramRecord extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### label

    String label

#### numberOfObjects

    long numberOfObjects

#### usedHeapSize

    long usedHeapSize

#### retainedHeapSize

    long retainedHeapSize

### Class org.eclipse.mat.snapshot.MultipleSnapshotsException extends SnapshotException implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### contexts

    List<E> contexts

### Class org.eclipse.mat.snapshot.MultipleSnapshotsException.Context extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### runtimeId

    String runtimeId

#### description

    String description

#### version

    String version

#### options

    List<E> options

### Class org.eclipse.mat.snapshot.OQLParseException extends SnapshotException implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### line

    int line

#### column

    int column

### Class org.eclipse.mat.snapshot.SnapshotInfo extends Object implements Serializable

serialVersionUID:
  4L

### Serialized Fields

#### path

    String path

#### prefix

    String prefix

#### jvmInfo

    String jvmInfo

#### identifierSize

    int identifierSize

#### creationDate

    Date creationDate

#### numberOfObjects

    int numberOfObjects

#### numberOfGCRoots

    int numberOfGCRoots

#### numberOfClasses

    int numberOfClasses

#### numberOfClassLoaders

    int numberOfClassLoaders

#### usedHeapSize

    long usedHeapSize

#### properties

    Map<K,V> properties

### Class org.eclipse.mat.snapshot.UnreachableObjectsHistogram extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### histogram

    List<E> histogram

### Class org.eclipse.mat.snapshot.UnreachableObjectsHistogram.Record extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### className

    String className

#### objectCount

    int objectCount

#### shallowHeapSize

    long shallowHeapSize

#### classAddress

    long classAddress

## Package org.eclipse.mat.snapshot.model

### Class org.eclipse.mat.snapshot.model.Field extends FieldDescriptor implements Serializable

serialVersionUID:
  2L

### Serialized Fields

#### value

    Object value

### Class org.eclipse.mat.snapshot.model.FieldDescriptor extends Object implements Serializable

serialVersionUID:
  2L

### Serialized Fields

#### name

    String name

#### type

    int type

### Class org.eclipse.mat.snapshot.model.GCRootInfo extends Object implements Serializable

serialVersionUID:
  2L

### Serialized Fields

#### objectId

    int objectId

#### objectAddress

    long objectAddress

#### contextId

    int contextId

#### contextAddress

    long contextAddress

#### type

    int type

### Class org.eclipse.mat.snapshot.model.NamedReference extends ObjectReference implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### name

    String name

### Class org.eclipse.mat.snapshot.model.ObjectReference extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### address

    long address

### Class org.eclipse.mat.snapshot.model.PseudoReference extends NamedReference implements Serializable

serialVersionUID:
  1L

### Class org.eclipse.mat.snapshot.model.ThreadToLocalReference extends PseudoReference implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### localObjectId

    int localObjectId

#### gcRootInfo

    GCRootInfo[] gcRootInfo

## Package org.eclipse.mat.ui

### Class org.eclipse.mat.ui.SnapshotHistoryService.Entry extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### editorId

    String editorId

#### filePath

    String filePath

#### fileLength

    Long fileLength

#### info

    Serializable info

## Package org.eclipse.mat.util

### Class org.eclipse.mat.util.IProgressListener.OperationCanceledException extends RuntimeException implements Serializable

serialVersionUID:
  1L